# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# C:\b\abs_f44cifc4kf\clone\recipe, last modified Mon Mar 27 14:27:39 2023
# ------------------------------------------------

package:
  name: cmake-no-system
  version: 3.25.3
source:
  - folder: cmake
    sha256: 21001a52f2a2068025c17597f8144e4976d6bcd20fa7d340431f004be30767b9
    url: https://gitlab.kitware.com/cmake/cmake/-/archive/v3.25.3/cmake-v3.25.3.tar.bz2
  - folder: cmake-bin
    sha256: d129425d569140b729210f3383c246dec19c4183f7d0afae1837044942da3b4b
    url: https://cmake.org/files/v3.25/cmake-3.25.3-windows-x86_64.zip
build:
  detect_binary_files_with_prefix: false
  ignore_run_exports:
    - vc
  number: '0'
  string: h6c2663c_0
requirements:
  build:
    - jom 1.1.2 h3bd88b9_0
    - m2-bash 4.3.042 5
    - m2-gcc-libs 5.3.0 4
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-make 4.1 5
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - msys2-conda-epoch 20160418 1
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - vs2015_runtime 14.27.29016 h5e58377_2
  run:
    - vs2015_runtime >=14.16.27012,<15.0a0
test:
  commands:
    - cmake --version
    - ctest --version
    - cpack --version
about:
  description: 'CMake is an open-source, cross-platform family of tools designed to
    build, test and package software.

    CMake is used to control the software compilation process using simple platform
    and compiler independent configuration files,

    and generate native makefiles and workspaces that can be used in the compiler
    environment of your choice.

    '
  dev_url: https://gitlab.kitware.com/cmake/cmake
  doc_url: https://cmake.org/documentation/
  home: https://cmake.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file:
    - cmake/Copyright.txt
    - cmake/Utilities/cmbzip2/LICENSE
    - cmake/Utilities/cmcurl/COPYING
    - cmake/Utilities/cmexpat/COPYING
    - cmake/Utilities/cmjsoncpp/LICENSE
    - cmake/Utilities/cmlibarchive/COPYING
    - cmake/Utilities/cmliblzma/COPYING
    - cmake/Utilities/cmlibrhash/COPYING
    - cmake/Utilities/cmlibuv/LICENSE
    - cmake/Utilities/cmzlib/Copyright.txt
    - cmake/Utilities/cmzstd/LICENSE
  summary: CMake built without system libraries for use when building CMake dependencies.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: f4ba3870-62be-46bd-8dad-86d557d6be52
  recipe-maintainers:
    - beckermr
    - jjhelmus
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/cmake-no-system-feedstock.git
  sha: 6e794d7a5f9584f41835f31f25367b80591b0296
